Package wx :: Module aui :: Class AuiMDIClientWindow

[frames | no frames]

## Type AuiMDIClientWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                   AuiNotebook --+
                                 |
                                AuiMDIClientWindow

Proxy of C++ AuiMDIClientWindow class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | `CreateClient(self, parent, style)`
int | `SetSelection(self, page)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, style=0)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.aui.AuiNotebook.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216194324(...)
  Set Method:
    unknown--1216194268(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:54 2007 | http://epydoc.sf.net